\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 2D and 3D Linear Geometry Kernel

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Functions
CGAL::radical_line()
Global Kernel Functions

##

## Functions
template<typename Kernel >
CGAL::Line_2< Kernel > | CGAL::radical_line (const CGAL::Circle_2< Kernel > &c1, const CGAL::Circle_2< Kernel > &c2)
| returns the radical line of the two circles. More...

## Function Documentation

template<typename Kernel >

CGAL::Line_2<Kernel> CGAL::radical_line | ( | const CGAL::Circle_2< Kernel > & | c1,
|  | const CGAL::Circle_2< Kernel > & | c2
| ) |  |

returns the radical line of the two circles.

Precondition
  `c1` and `c2` are not cocentric.

`#include <CGAL/Kernel/global_functions.h>`